<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <style th:replace="fragments/styling :: styling"></style>
    <div th:insert="fragments/header :: imports"></div>

    <title>Title</title>
</head>
<body>
<div th:replace="fragments/header :: header"></div>
<div class="form-signin">
    <div th:each="order : ${orderInfo}">
        <a th:text="${order.getBook().getId()}">sdaasd</a>
        <a th:text="${order.getBook().getTitle()}">sdaasd</a>
        <a th:text="${order.getBook().getAuthor()}">sdaasd</a>
        <a th:text="${order.getBook().getPublisher()}">sdaasd</a>
        <a th:text="${order.getBook().getDateOfPublish()}">sdaasd</a>

        <form sec:authorize="hasRole('LIBRARIAN')" th:method="PATCH" th:action="@{/makeOrder/{id}(id=${order.getId()})}">
            <input type="submit" value="MAKE ORDER">
        </form>

    </div>


    <div sec:authorize="hasRole('ROLE_ADMIN')">

        <li class="nav-item">
            <a href="/allUsers">Users</a>
        </li>

        <li class="nav-item">
            <a href="/allRequests">Requests</a>
        </li>

    </div>
    <li sec:authorize="isAuthenticated()" class="nav-item">
        <a class="nav-link" th:href="@{/logout}" th:text="#{logout}">Logout</a>
    </li>
</div>
</body>
</html>